#!/bin/bash
FILES=*.rpm
RPMS=''
for frpm in $FILES
  do
    RPMS=$frpm" "$RPMS
  done

rpm -Uv --replacepkgs --nodeps $RPMS > update.txt 2>&1
res=$?

while read line
  do
    echo $line
    if [[ $line =~ "Error: Nothing to do" ]]; then
      res=0
    fi
  done < "update.txt"

exit $res
